TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

IsIntegral ( elt-ids^fra/ord^num I ) -> elt-alg^boo

### Description

<shortdoc> True iff the fractional ideal I is integral. </shortdoc>

### Examples

x_oq2 := MaximalOrder(X^2-2);; x_i1 := 3/1*x_oq2;; x_i2 := 3/2*x_oq2;; IsIntegral(x_i1); IsIntegral(x_i2);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack